---
lang: en
title: 'API docs: authorization.authorizationmetadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authorization
permalink: /doc/en/lb4/apidocs.authorization.authorizationmetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authorization](./authorization.md) &gt; [AuthorizationMetadata](./authorization.authorizationmetadata.md)

## AuthorizationMetadata interface

Authorization metadata supplied via `@authorize` decorator

**Signature:**

```typescript
export interface AuthorizationMetadata 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[allowedRoles?](./authorization.authorizationmetadata.allowedroles.md)


</td><td>


</td><td>

string\[\]


</td><td>

_(Optional)_ Roles that are allowed access


</td></tr>
<tr><td>

[deniedRoles?](./authorization.authorizationmetadata.deniedroles.md)


</td><td>


</td><td>

string\[\]


</td><td>

_(Optional)_ Roles that are denied access


</td></tr>
<tr><td>

[resource?](./authorization.authorizationmetadata.resource.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_ Name of the resource, default to the method name


</td></tr>
<tr><td>

[scopes?](./authorization.authorizationmetadata.scopes.md)


</td><td>


</td><td>

string\[\]


</td><td>

_(Optional)_ Define the access scopes


</td></tr>
<tr><td>

[skip?](./authorization.authorizationmetadata.skip.md)


</td><td>


</td><td>

boolean


</td><td>

_(Optional)_ A flag to skip authorization


</td></tr>
<tr><td>

[voters?](./authorization.authorizationmetadata.voters.md)


</td><td>


</td><td>

([Authorizer](./authorization.authorizer.md) \| [BindingAddress](./context.bindingaddress.md)<!-- -->&lt;[Authorizer](./authorization.authorizer.md)<!-- -->&gt;)\[\]


</td><td>

_(Optional)_ Voters that help make the authorization decision


</td></tr>
</tbody></table>

