---
lang: en
title: 'API docs: context.bindingkey'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.bindingkey.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [BindingKey](./context.bindingkey.md)

## BindingKey class

**Signature:**

```typescript
export declare class BindingKey<ValueType> 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[CONFIG\_NAMESPACE](./context.bindingkey.config_namespace.md)


</td><td>

`static`


</td><td>

string


</td><td>

Name space for configuration binding keys


</td></tr>
<tr><td>

[key](./context.bindingkey.key.md)


</td><td>

`readonly`


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[PROPERTY\_SEPARATOR](./context.bindingkey.property_separator.md)


</td><td>

`static`

`readonly`


</td><td>

(not declared)


</td><td>


</td></tr>
<tr><td>

[propertyPath?](./context.bindingkey.propertypath.md)


</td><td>

`readonly`


</td><td>

string \| undefined


</td><td>

_(Optional)_


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[buildKeyForConfig(key)](./context.bindingkey.buildkeyforconfig.md)


</td><td>

`static`


</td><td>

Build a binding key for the configuration of the given binding. The format is `<key>:$config`


</td></tr>
<tr><td>

[create(key, propertyPath)](./context.bindingkey.create.md)


</td><td>

`static`


</td><td>

Create a new key for a binding bound to a value of type `ValueType`<!-- -->.


</td></tr>
<tr><td>

[deepProperty(propertyPath)](./context.bindingkey.deepproperty.md)


</td><td>


</td><td>

Get a binding address for retrieving a deep property of the object bound to the current binding key.


</td></tr>
<tr><td>

[generate(namespace)](./context.bindingkey.generate.md)


</td><td>

`static`


</td><td>

Generate a universally unique binding key.

Please note the format of they generated key is not specified, you must not rely on any specific formatting (e.g. UUID style).


</td></tr>
<tr><td>

[parseKeyWithPath(keyWithPath)](./context.bindingkey.parsekeywithpath.md)


</td><td>

`static`


</td><td>

Parse a string containing both the binding key and the path to the deeply nested property to retrieve.


</td></tr>
<tr><td>

[toString()](./context.bindingkey.tostring.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[validate(key)](./context.bindingkey.validate.md)


</td><td>

`static`


</td><td>

Validate the binding key format. Please note that `#` is reserved. Returns a string representation of the binding key.


</td></tr>
</tbody></table>

