---
lang: en
title: 'API docs: context.bindingtagfilter'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.bindingtagfilter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [BindingTagFilter](./context.bindingtagfilter.md)

## BindingTagFilter interface

Binding filter function that holds a binding tag pattern. `Context.find()` uses the `bindingTagPattern` to optimize the matching of bindings by tag to avoid expensive check for all bindings.

**Signature:**

```typescript
export interface BindingTagFilter extends BindingFilter 
```
**Extends:** [BindingFilter](./context.bindingfilter.md)

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[bindingTagPattern](./context.bindingtagfilter.bindingtagpattern.md)


</td><td>


</td><td>

[BindingTag](./context.bindingtag.md) \| RegExp


</td><td>

A special property on the filter function to provide access to the binding tag pattern which can be utilized to optimize the matching of bindings by tag in a context.


</td></tr>
</tbody></table>

