---
lang: en
title: 'API docs: context.comparebyorder'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.comparebyorder.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [compareByOrder](./context.comparebyorder.md)

## compareByOrder() function

Compare two values by the predefined order

**Signature:**

```typescript
export declare function compareByOrder(a: string | symbol | undefined | null, b: string | symbol | undefined | null, order?: (string | symbol)[]): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

a


</td><td>

string \| symbol \| undefined \| null


</td><td>

First value


</td></tr>
<tr><td>

b


</td><td>

string \| symbol \| undefined \| null


</td><td>

Second value


</td></tr>
<tr><td>

order


</td><td>

(string \| symbol)\[\]


</td><td>

_(Optional)_ An array of values as the predefined order


</td></tr>
</tbody></table>
**Returns:**

number

## Remarks

The comparison is performed as follows:

1. If both values are included in `order`<!-- -->, they are sorted by their indexes in `order`<!-- -->. 2. The value included in `order` comes after the value not included in `order`<!-- -->. 3. If neither values are included in `order`<!-- -->, they are sorted: - symbol values come before string values - alphabetical order for two symbols or two strings


