---
lang: en
title: 'API docs: context.context.getsync_1'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.context.getsync_1.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Context](./context.context.md) &gt; [getSync](./context.context.getsync_1.md)

## Context.getSync() method

Get the synchronous value bound to the given key, optionally return a (deep) property of the bound value.

This method throws an error if the bound value requires async computation (returns a promise). You should never rely on sync bindings in production code.

**Signature:**

```typescript
getSync<ValueType>(keyWithPath: BindingAddress<ValueType>, options?: ResolutionOptions): ValueType | undefined;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

keyWithPath


</td><td>

[BindingAddress](./context.bindingaddress.md)<!-- -->&lt;ValueType&gt;


</td><td>

The binding key, optionally suffixed with a path to the (deeply) nested property to retrieve.


</td></tr>
<tr><td>

options


</td><td>

[ResolutionOptions](./context.resolutionoptions.md)


</td><td>

_(Optional)_ Options for resolution.


</td></tr>
</tbody></table>
**Returns:**

ValueType \| undefined

The bound value, or undefined when an optional binding is not found.

## Example


```ts
// get "rest" property from the value bound to "config"
// use "undefined" when no config is provided
const config = await ctx.getSync<RestComponentConfig>('config#rest', {
  optional: true
});
```


