---
lang: en
title: 'API docs: context.context.unbind'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.context.unbind.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Context](./context.context.md) &gt; [unbind](./context.context.unbind.md)

## Context.unbind() method

Unbind a binding from the context. No parent contexts will be checked.

**Signature:**

```typescript
unbind(key: BindingAddress): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

key


</td><td>

[BindingAddress](./context.bindingaddress.md)


</td><td>

Binding key


</td></tr>
</tbody></table>
**Returns:**

boolean

true if the binding key is found and removed from this context

## Remarks

If you need to unbind a binding owned by a parent context, use the code below:

```ts
const ownerCtx = ctx.getOwnerContext(key);
return ownerCtx != null && ownerCtx.unbind(key);
```


