---
lang: en
title: 'API docs: context.inject'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.inject.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [inject](./context.inject.md)

## inject namespace

**Signature:**

```typescript
export declare namespace inject 
```

## Functions

<table><thead><tr><th>

Function


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[binding(bindingKey, metadata)](./context.inject.binding.md)


</td><td>

Inject the binding object for the given key. This is useful if a binding needs to be set up beyond just a constant value allowed by `@inject.setter`<!-- -->. The injected binding is found or created based on the `metadata.bindingCreation` option. See `BindingCreationPolicy` for more details.


</td></tr>
<tr><td>

[context()](./context.inject.context.md)


</td><td>

Inject the context object.


</td></tr>
<tr><td>

[getter(bindingSelector, metadata)](./context.inject.getter.md)


</td><td>

Inject a function for getting the actual bound value.

This is useful when implementing Actions, where the action is instantiated for Sequence constructor, but some of action's dependencies become bound only after other actions have been executed by the sequence.

See also `Getter<T>`<!-- -->.


</td></tr>
<tr><td>

[setter(bindingKey, metadata)](./context.inject.setter.md)


</td><td>

Inject a function for setting (binding) the given key to a given value. (Only static/constant values are supported, it's not possible to bind a key to a class or a provider.)

This is useful e.g. when implementing Actions that are contributing new Elements.

See also `Setter<T>`<!-- -->.


</td></tr>
<tr><td>

[tag(bindingTag, metadata)](./context.inject.tag.md)


</td><td>

Inject an array of values by a tag pattern string or regexp


</td></tr>
<tr><td>

[view(bindingFilter, metadata)](./context.inject.view.md)


</td><td>

Inject matching bound values by the filter function


</td></tr>
</tbody></table>

