---
lang: en
title: 'API docs: context.inject.view'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.inject.view.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [inject](./context.inject.md) &gt; [view](./context.inject.view.md)

## inject.view() function

Inject matching bound values by the filter function

**Signature:**

```typescript
view: (bindingFilter: BindingFilter, metadata?: InjectionMetadata) => (target: Object, member: string | undefined, methodDescriptorOrParameterIndex?: number | TypedPropertyDescriptor<any> | undefined) => void
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

bindingFilter


</td><td>

[BindingFilter](./context.bindingfilter.md)


</td><td>

A binding filter function


</td></tr>
<tr><td>

metadata


</td><td>

[InjectionMetadata](./context.injectionmetadata.md)


</td><td>

_(Optional)_


</td></tr>
</tbody></table>
**Returns:**

(target: Object, member: string \| undefined, methodDescriptorOrParameterIndex?: number \| TypedPropertyDescriptor&lt;any&gt; \| undefined) =&gt; void

## Example


```ts
class MyControllerWithView {
  @inject.view(filterByTag('foo'))
  view: ContextView<string[]>;
}
```


