---
lang: en
title: 'API docs: context.instantiateclass'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.instantiateclass.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [instantiateClass](./context.instantiateclass.md)

## instantiateClass() function

Create an instance of a class which constructor has arguments decorated with `@inject`<!-- -->.

The function returns a class when all dependencies were resolved synchronously, or a Promise otherwise.

**Signature:**

```typescript
export declare function instantiateClass<T extends object>(ctor: Constructor<T>, ctx: Context, session?: ResolutionSession, nonInjectedArgs?: any[]): ValueOrPromise<T>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

ctor


</td><td>

[Constructor](./context.constructor.md)<!-- -->&lt;T&gt;


</td><td>

The class constructor to call.


</td></tr>
<tr><td>

ctx


</td><td>

[Context](./context.context.md)


</td><td>

The context containing values for `@inject` resolution


</td></tr>
<tr><td>

session


</td><td>

[ResolutionSession](./context.resolutionsession.md)


</td><td>

_(Optional)_ Optional session for binding and dependency resolution


</td></tr>
<tr><td>

nonInjectedArgs


</td><td>

any\[\]


</td><td>

_(Optional)_ Optional array of args for non-injected parameters


</td></tr>
</tbody></table>
**Returns:**

[ValueOrPromise](./context.valueorpromise.md)<!-- -->&lt;T&gt;


