---
lang: en
title: 'API docs: cron'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/cron
permalink: /doc/en/lb4/apidocs.cron.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/cron](./cron.md)

## cron package

[@loopback/cron](https://github.com/loopbackio/loopback-next/tree/master/extensions/cron)

## Classes

<table><thead><tr><th>

Class


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[CronComponent](./cron.croncomponent.md)


</td><td>

The CronComponent manages cron jobs. It serves as an extension point for cron jobs.


</td></tr>
<tr><td>

[CronJob](./cron.cronjob.md)


</td><td>

Cron job with an optional name


</td></tr>
</tbody></table>

## Functions

<table><thead><tr><th>

Function


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[asCronJob(binding)](./cron.ascronjob.md)


</td><td>

A `BindingTemplate` function to configure the binding as a cron job.


</td></tr>
<tr><td>

[cronJob(specs)](./cron.cronjob.md)


</td><td>

`@cronJob` decorates a cron job provider class


</td></tr>
</tbody></table>

## Namespaces

<table><thead><tr><th>

Namespace


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[CronBindings](./cron.cronbindings.md)


</td><td>

Binding keys used by this component.


</td></tr>
</tbody></table>

## Variables

<table><thead><tr><th>

Variable


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[CRON\_JOB\_SCHEDULER](./cron.cron_job_scheduler.md)


</td><td>

Name of the cron job extension point


</td></tr>
</tbody></table>

## Type Aliases

<table><thead><tr><th>

Type Alias


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[CronJobConfig](./cron.cronjobconfig.md)


</td><td>

Configuration for a cron job.


</td></tr>
<tr><td>

[CronJobOptions](./cron.cronjoboptions.md)


</td><td>

Options for a cron job. It adds an optional `name` to cron parameters.

[cron configuration](https://github.com/kelektiv/node-cron#api)


</td></tr>
</tbody></table>

