---
lang: en
title: 'API docs: http-server'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/http-server
permalink: /doc/en/lb4/apidocs.http-server.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/http-server](./http-server.md)

## http-server package

HTTP / HTTPS server endpoints for LoopBack 4 apps.

## Remarks

A package used by LoopBack 4 for creating HTTP / HTTPS server.

## Classes

<table><thead><tr><th>

Class


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[HttpServer](./http-server.httpserver.md)


</td><td>

HTTP / HTTPS server used by LoopBack's RestServer


</td></tr>
</tbody></table>

## Interfaces

<table><thead><tr><th>

Interface


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[BaseHttpOptions](./http-server.basehttpoptions.md)


</td><td>

Base options that are common to http and https servers


</td></tr>
<tr><td>

[HttpOptions](./http-server.httpoptions.md)


</td><td>

HTTP server options


</td></tr>
<tr><td>

[HttpsOptions](./http-server.httpsoptions.md)


</td><td>

HTTPS server options


</td></tr>
</tbody></table>

## Type Aliases

<table><thead><tr><th>

Type Alias


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[HttpProtocol](./http-server.httpprotocol.md)


</td><td>

Supported protocols


</td></tr>
<tr><td>

[HttpServerOptions](./http-server.httpserveroptions.md)


</td><td>

Possible server options


</td></tr>
<tr><td>

[HttpServerProperties](./http-server.httpserverproperties.md)


</td><td>

The following are for configuring properties which are directly set on https://nodejs.org/api/http.html\#http\_class\_http\_server and https://nodejs.org/api/net.html\#net\_class\_net\_server


</td></tr>
<tr><td>

[RequestListener](./http-server.requestlistener.md)


</td><td>

Request listener function for http/https requests


</td></tr>
</tbody></table>

