---
lang: en
title: 'API docs: metadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/metadata
permalink: /doc/en/lb4/apidocs.metadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md)

## metadata package

A package with utilities to help developers implement [TypeScript decorators](https://www.typescriptlang.org/docs/handbook/decorators.html)<!-- -->, define/merge metadata, and inspect metadata.

## Remarks

Utilities:

- Reflector: Wrapper of [reflect-metadata](https://github.com/rbuckton/reflect-metadata)<!-- -->. - Decorator factories: A set of factories for class/method/property/parameter decorators to apply metadata to a given class and its static or instance members. - MetadataInspector: High level APIs to inspect a class and/or its members to get metadata applied by decorators.

## Classes

<table><thead><tr><th>

Class


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[ClassDecoratorFactory](./metadata.classdecoratorfactory.md)


</td><td>

Factory for class decorators


</td></tr>
<tr><td>

[DecoratorFactory](./metadata.decoratorfactory.md)


</td><td>

Base factory class for decorator functions


</td></tr>
<tr><td>

[MetadataAccessor](./metadata.metadataaccessor.md)


</td><td>

A strongly-typed metadata accessor via reflection


</td></tr>
<tr><td>

[MetadataInspector](./metadata.metadatainspector.md)


</td><td>

Inspector for metadata applied by decorators


</td></tr>
<tr><td>

[MethodDecoratorFactory](./metadata.methoddecoratorfactory.md)


</td><td>

Factory for method decorators


</td></tr>
<tr><td>

[MethodMultiDecoratorFactory](./metadata.methodmultidecoratorfactory.md)


</td><td>

Factory for an append-array of method-level decorators The `@response` metadata for a method is an array. Each item in the array should be a single value, containing a response code and a single spec or Model. This should allow:


</td></tr>
<tr><td>

[MethodParameterDecoratorFactory](./metadata.methodparameterdecoratorfactory.md)


</td><td>

Factory for method level parameter decorator.


</td></tr>
<tr><td>

[NamespacedReflect](./metadata.namespacedreflect.md)


</td><td>


</td></tr>
<tr><td>

[ParameterDecoratorFactory](./metadata.parameterdecoratorfactory.md)


</td><td>

Factory for parameter decorators


</td></tr>
<tr><td>

[PropertyDecoratorFactory](./metadata.propertydecoratorfactory.md)


</td><td>

Factory for property decorators


</td></tr>
</tbody></table>

## Interfaces

<table><thead><tr><th>

Interface


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[DecoratorOptions](./metadata.decoratoroptions.md)


</td><td>

Options for a decorator


</td></tr>
<tr><td>

[DesignTimeMethodMetadata](./metadata.designtimemethodmetadata.md)


</td><td>

Design time metadata for a method.


</td></tr>
<tr><td>

[InspectionOptions](./metadata.inspectionoptions.md)


</td><td>

Options for inspection


</td></tr>
<tr><td>

[MetadataMap](./metadata.metadatamap.md)


</td><td>

An object mapping keys to corresponding metadata


</td></tr>
</tbody></table>

## Variables

<table><thead><tr><th>

Variable


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[Reflector](./metadata.reflector.md)


</td><td>


</td></tr>
</tbody></table>

## Type Aliases

<table><thead><tr><th>

Type Alias


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[DecoratorType](./metadata.decoratortype.md)


</td><td>

Decorator function types


</td></tr>
<tr><td>

[MetadataKey](./metadata.metadatakey.md)


</td><td>

Key for metadata access via reflection


</td></tr>
</tbody></table>

