---
lang: en
title: 'API docs: metadata.metadatainspector.getallparametermetadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/metadata
permalink: /doc/en/lb4/apidocs.metadata.metadatainspector.getallparametermetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [MetadataInspector](./metadata.metadatainspector.md) &gt; [getAllParameterMetadata](./metadata.metadatainspector.getallparametermetadata.md)

## MetadataInspector.getAllParameterMetadata() method

Get the metadata associated with the given key for all parameters of a given method

**Signature:**

```typescript
static getAllParameterMetadata<T>(key: MetadataKey<T, ParameterDecorator>, target: Object, methodName?: string, options?: InspectionOptions): T[] | undefined;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

key


</td><td>

[MetadataKey](./metadata.metadatakey.md)<!-- -->&lt;T, ParameterDecorator&gt;


</td><td>

Metadata key


</td></tr>
<tr><td>

target


</td><td>

Object


</td><td>

Class for static methods or prototype for instance methods


</td></tr>
<tr><td>

methodName


</td><td>

string


</td><td>

_(Optional)_ Method name. If not present, default to '' to use the constructor


</td></tr>
<tr><td>

options


</td><td>

[InspectionOptions](./metadata.inspectionoptions.md)


</td><td>

_(Optional)_ Options for inspection


</td></tr>
</tbody></table>
**Returns:**

T\[\] \| undefined


