---
lang: en
title: 'API docs: metadata.metadatainspector'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/metadata
permalink: /doc/en/lb4/apidocs.metadata.metadatainspector.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [MetadataInspector](./metadata.metadatainspector.md)

## MetadataInspector class

Inspector for metadata applied by decorators

**Signature:**

```typescript
export declare class MetadataInspector 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[DesignTimeReflector](./metadata.metadatainspector.designtimereflector.md)


</td><td>

`static`

`readonly`


</td><td>

[NamespacedReflect](./metadata.namespacedreflect.md)


</td><td>

Expose the reflector for TypeScript design-time metadata


</td></tr>
<tr><td>

[Reflector](./metadata.metadatainspector.reflector.md)


</td><td>

`static`

`readonly`


</td><td>

[NamespacedReflect](./metadata.namespacedreflect.md)


</td><td>

Expose Reflector, which is a wrapper of `Reflect` and it uses `loopback` as the namespace prefix for all metadata keys


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[defineMetadata(key, value, target, member)](./metadata.metadatainspector.definemetadata.md)


</td><td>

`static`


</td><td>

Define metadata for the given target


</td></tr>
<tr><td>

[getAllMethodMetadata(key, target, options)](./metadata.metadatainspector.getallmethodmetadata.md)


</td><td>

`static`


</td><td>

Get the metadata associated with the given key for all methods of the target class or prototype


</td></tr>
<tr><td>

[getAllParameterMetadata(key, target, methodName, options)](./metadata.metadatainspector.getallparametermetadata.md)


</td><td>

`static`


</td><td>

Get the metadata associated with the given key for all parameters of a given method


</td></tr>
<tr><td>

[getAllPropertyMetadata(key, target, options)](./metadata.metadatainspector.getallpropertymetadata.md)


</td><td>

`static`


</td><td>

Get the metadata associated with the given key for all properties of the target class or prototype


</td></tr>
<tr><td>

[getClassMetadata(key, target, options)](./metadata.metadatainspector.getclassmetadata.md)


</td><td>

`static`


</td><td>

Get the metadata associated with the given key for a given class


</td></tr>
<tr><td>

[getDesignTypeForMethod(target, methodName)](./metadata.metadatainspector.getdesigntypeformethod.md)


</td><td>

`static`


</td><td>

Get TypeScript design time type for a method.


</td></tr>
<tr><td>

[getDesignTypeForProperty(target, propertyName)](./metadata.metadatainspector.getdesigntypeforproperty.md)


</td><td>

`static`


</td><td>

Get TypeScript design time type for a property


</td></tr>
<tr><td>

[getMethodMetadata(key, target, methodName, options)](./metadata.metadatainspector.getmethodmetadata.md)


</td><td>

`static`


</td><td>

Get the metadata associated with the given key for a given method of the target class or prototype


</td></tr>
<tr><td>

[getParameterMetadata(key, target, methodName, index, options)](./metadata.metadatainspector.getparametermetadata.md)


</td><td>

`static`


</td><td>

Get the metadata associated with the given key for a parameter of a given method by index


</td></tr>
<tr><td>

[getPropertyMetadata(key, target, propertyName, options)](./metadata.metadatainspector.getpropertymetadata.md)


</td><td>

`static`


</td><td>

Get the metadata associated with the given key for a given property of the target class or prototype


</td></tr>
</tbody></table>

