---
lang: en
title: 'API docs: metadata.methodparameterdecoratorfactory'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/metadata
permalink: /doc/en/lb4/apidocs.metadata.methodparameterdecoratorfactory.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [MethodParameterDecoratorFactory](./metadata.methodparameterdecoratorfactory.md)

## MethodParameterDecoratorFactory class

Factory for method level parameter decorator.

**Signature:**

```typescript
export declare class MethodParameterDecoratorFactory<T> extends DecoratorFactory<T, MetadataMap<T[]>, MethodDecorator> 
```
**Extends:** [DecoratorFactory](./metadata.decoratorfactory.md)<!-- -->&lt;T, [MetadataMap](./metadata.metadatamap.md)<!-- -->&lt;T\[\]&gt;, MethodDecorator&gt;

## Example

For example, the following code uses `@param` to declare two parameters for `greet()`<!-- -->.

```ts
class MyController {
  @param('name') // Parameter 0
  @param('msg')  // Parameter 1
  greet() {}
}
```

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[create()](./metadata.methodparameterdecoratorfactory.create.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[createDecorator(key, spec, options)](./metadata.methodparameterdecoratorfactory.createdecorator.md)


</td><td>

`static`


</td><td>

Create a method decorator function


</td></tr>
<tr><td>

[mergeWithInherited(inheritedMetadata, target, methodName, methodDescriptor)](./metadata.methodparameterdecoratorfactory.mergewithinherited.md)


</td><td>

`protected`


</td><td>


</td></tr>
<tr><td>

[mergeWithOwn(ownMetadata, target, methodName, methodDescriptor)](./metadata.methodparameterdecoratorfactory.mergewithown.md)


</td><td>

`protected`


</td><td>


</td></tr>
</tbody></table>

