---
lang: en
title: 'API docs: model-api-builder'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/model-api-builder
permalink: /doc/en/lb4/apidocs.model-api-builder.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/model-api-builder](./model-api-builder.md)

## model-api-builder package

A packge with types and helpers for packages contributing Model API builders.

## Remarks

Provides a contract for extensions that contribute builders for repositories and controllers. Users provide both the model class and an extension. The extension is then used to build their repository and controller based on the model class.

## Interfaces

<table><thead><tr><th>

Interface


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[ModelApiBuilder](./model-api-builder.modelapibuilder.md)


</td><td>

Interface for extensions contributing custom API flavors.


</td></tr>
</tbody></table>

## Variables

<table><thead><tr><th>

Variable


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[asModelApiBuilder](./model-api-builder.asmodelapibuilder.md)


</td><td>

A binding template for model API extensions


</td></tr>
<tr><td>

[MODEL\_API\_BUILDER\_PLUGINS](./model-api-builder.model_api_builder_plugins.md)


</td><td>

Extension Point name for Model API builders.


</td></tr>
</tbody></table>

## Type Aliases

<table><thead><tr><th>

Type Alias


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[ModelApiConfig](./model-api-builder.modelapiconfig.md)


</td><td>

Configuration settings for individual model files. This type describes content of `public-models/{model-name}.config.json` files.


</td></tr>
</tbody></table>

