---
lang: en
title: 'API docs: openapi-v3.api'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-v3
permalink: /doc/en/lb4/apidocs.openapi-v3.api.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [api](./openapi-v3.api.md)

## api() function

Decorate the given Controller constructor with metadata describing the HTTP/REST API the Controller implements/provides.

`@api` can be applied to controller classes.

**Signature:**

```typescript
export declare function api(spec: Partial<ControllerSpec>): ClassDecorator;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

spec


</td><td>

Partial&lt;[ControllerSpec](./openapi-v3.controllerspec.md)<!-- -->&gt;


</td><td>

OpenAPI specification describing the endpoints handled by this controller


</td></tr>
</tbody></table>
**Returns:**

ClassDecorator

## Example


```ts
@api({basePath: '/my'})
class MyController {
  // ...
}
```


