---
lang: en
title: 'API docs: openapi-v3.mergeopenapispec'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-v3
permalink: /doc/en/lb4/apidocs.openapi-v3.mergeopenapispec.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [mergeOpenAPISpec](./openapi-v3.mergeopenapispec.md)

## mergeOpenAPISpec() function

The default merge function to patch the current OpenAPI spec. It leverages module `json-merge-patch`<!-- -->'s merge API to merge two json objects. It returns a new merged object without modifying the original one.

A list of merging rules can be found in test file: https://github.com/pierreinglebert/json-merge-patch/blob/master/test/lib/merge.js

**Signature:**

```typescript
export declare function mergeOpenAPISpec<C extends Partial<OpenApiSpec>, P extends Partial<OpenApiSpec>>(currentSpec: C, patchSpec: P): C & P;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

currentSpec


</td><td>

C


</td><td>

The original spec


</td></tr>
<tr><td>

patchSpec


</td><td>

P


</td><td>

The patch spec to be merged into the original spec


</td></tr>
</tbody></table>
**Returns:**

C &amp; P

A new specification object created by merging the original ones.


