---
lang: en
title: 'API docs: openapi-v3.param.filter'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-v3
permalink: /doc/en/lb4/apidocs.openapi-v3.param.filter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [param](./openapi-v3.param.md) &gt; [filter](./openapi-v3.param.filter.md)

## param.filter() function

Sugar decorator for `filter` query parameter

**Signature:**

```typescript
function filter(modelCtor: typeof Model, options?: string | (FilterSchemaOptions & {
        name?: string;
    })): (target: object, member: string, index: number) => void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

modelCtor


</td><td>

typeof Model


</td><td>

Model class


</td></tr>
<tr><td>

options


</td><td>

string \| ([FilterSchemaOptions](./repository-json-schema.filterschemaoptions.md) &amp; { name?: string; })


</td><td>

_(Optional)_ Options to customize the parameter name or filter schema


</td></tr>
</tbody></table>
**Returns:**

(target: object, member: string, index: number) =&gt; void

## Example


```ts
async find(
  @param.filter(modelCtor)) filter?: Filter<T>,
): Promise<(T & Relations)[]> {
  // ...
}
```


