---
lang: en
title: 'API docs: pooling.poolfactory'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/pooling
permalink: /doc/en/lb4/apidocs.pooling.poolfactory.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/pooling](./pooling.md) &gt; [PoolFactory](./pooling.poolfactory.md)

## PoolFactory interface

Factory for the pooling service

**Signature:**

```typescript
export interface PoolFactory<T> extends Factory<T> 
```
**Extends:** Factory&lt;T&gt;

## Methods

<table><thead><tr><th>

Method


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[acquire(resource, requestCtx)?](./pooling.poolfactory.acquire.md)


</td><td>

_(Optional)_ To be called right after the resource is acquired from the pool. If it fails, the resource will be destroyed from the pool. The method should be used to set up the acquired resource.


</td></tr>
<tr><td>

[release(resource)?](./pooling.poolfactory.release.md)


</td><td>

_(Optional)_ To be called right before the resource is released to the pool. If it fails, the resource will be destroyed from the pool. This method should be used to clean up the resource to be returned.


</td></tr>
</tbody></table>

