---
lang: en
title: 'API docs: rest-crud'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest-crud
permalink: /doc/en/lb4/apidocs.rest-crud.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest-crud](./rest-crud.md)

## rest-crud package

REST API controller implementing default CRUD semantics.

## Remarks

Allows LoopBack 4 applications to quickly expose models via REST API without having to implement custom controller or repository classes.

## Classes

<table><thead><tr><th>

Class


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[CrudRestApiBuilder](./rest-crud.crudrestapibuilder.md)


</td><td>


</td></tr>
<tr><td>

[CrudRestComponent](./rest-crud.crudrestcomponent.md)


</td><td>


</td></tr>
</tbody></table>

## Functions

<table><thead><tr><th>

Function


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[defineCrudRestController(modelCtor, options)](./rest-crud.definecrudrestcontroller.md)


</td><td>

Create (define) a CRUD Controller class for the given model.


</td></tr>
</tbody></table>

## Interfaces

<table><thead><tr><th>

Interface


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[CrudRestController](./rest-crud.crudrestcontroller.md)


</td><td>

This interface describes prototype members of the controller class returned by `defineCrudRestController`<!-- -->.


</td></tr>
<tr><td>

[CrudRestControllerCtor](./rest-crud.crudrestcontrollerctor.md)


</td><td>

Constructor of the controller class returned by `defineCrudRestController`<!-- -->.


</td></tr>
<tr><td>

[CrudRestControllerOptions](./rest-crud.crudrestcontrolleroptions.md)


</td><td>

Options to configure different aspects of a CRUD REST Controller.


</td></tr>
<tr><td>

[ModelCrudRestApiConfig](./rest-crud.modelcrudrestapiconfig.md)


</td><td>


</td></tr>
</tbody></table>

