---
lang: en
title: 'API docs: rest.requestbodyparseroptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.requestbodyparseroptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RequestBodyParserOptions](./rest.requestbodyparseroptions.md)

## RequestBodyParserOptions interface

Options for request body parsing See https://github.com/expressjs/body-parser/\#options

Built-in parsers retrieve their own options from the request body parser options. The parser specific properties override common ones.

**Signature:**

```typescript
export interface RequestBodyParserOptions extends Options 
```
**Extends:** Options

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[json?](./rest.requestbodyparseroptions.json.md)


</td><td>


</td><td>

OptionsJson


</td><td>

_(Optional)_ Options for json parser


</td></tr>
<tr><td>

[raw?](./rest.requestbodyparseroptions.raw.md)


</td><td>


</td><td>

Options


</td><td>

_(Optional)_ Options for raw parser


</td></tr>
<tr><td>

[text?](./rest.requestbodyparseroptions.text.md)


</td><td>


</td><td>

OptionsText


</td><td>

_(Optional)_ Options for text parser


</td></tr>
<tr><td>

[urlencoded?](./rest.requestbodyparseroptions.urlencoded.md)


</td><td>


</td><td>

OptionsUrlencoded


</td><td>

_(Optional)_ Options for urlencoded parser


</td></tr>
<tr><td>

[validation?](./rest.requestbodyparseroptions.validation.md)


</td><td>


</td><td>

[ValidationOptions](./rest.validationoptions.md)


</td><td>

_(Optional)_ Validation options for AJV, see https://github.com/epoberezkin/ajv\#options This setting is global for all request body parsers and it cannot be overridden inside parser specific properties such as `json` or `text`<!-- -->.


</td></tr>
</tbody></table>

