---
lang: en
title: 'API docs: rest.requestcontext'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.requestcontext.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RequestContext](./rest.requestcontext.md)

## RequestContext class

A per-request Context combining an IoC container with handler context (request, response, etc.).

**Signature:**

```typescript
export declare class RequestContext extends MiddlewareContext implements HandlerContext 
```
**Extends:** MiddlewareContext

**Implements:** HandlerContext

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(request, response, parent, serverConfig, name)](./rest.requestcontext._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `RequestContext` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[basePath](./rest.requestcontext.basepath.md)


</td><td>

`readonly`


</td><td>

string


</td><td>

Get the effective base path of the incoming request. This base path combines `baseUrl` provided by Express when LB4 handler is mounted on a non-root path, with the `basePath` value configured at LB4 side.


</td></tr>
<tr><td>

[request](./rest.requestcontext.request.md)


</td><td>

`readonly`


</td><td>

Request


</td><td>


</td></tr>
<tr><td>

[requestedBaseUrl](./rest.requestcontext.requestedbaseurl.md)


</td><td>

`readonly`


</td><td>

string


</td><td>

Get the base URL used by the client to make the request. This URL contains the protocol, hostname, port and base path. The path of the invoked route and query string is not included.

Please note these values may be different from what we are observing at HTTP/TCP level, because reverse proxies like nginx are rewriting them.


</td></tr>
<tr><td>

[requestedProtocol](./rest.requestcontext.requestedprotocol.md)


</td><td>

`readonly`


</td><td>

string


</td><td>

Get the protocol used by the client to make the request. Please note this protocol may be different from what we are observing at HTTP/TCP level, because reverse proxies like nginx or sidecars like Envoy are switching between protocols.


</td></tr>
<tr><td>

[response](./rest.requestcontext.response.md)


</td><td>

`readonly`


</td><td>

Response


</td><td>


</td></tr>
<tr><td>

[serverConfig](./rest.requestcontext.serverconfig.md)


</td><td>

`readonly`


</td><td>

[RestServerResolvedConfig](./rest.restserverresolvedconfig.md)


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[setupBindings()](./rest.requestcontext.setupbindings.md)


</td><td>

`protected`


</td><td>


</td></tr>
</tbody></table>

