---
lang: en
title: 'API docs: rest.restapplication.expressmiddleware'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restapplication.expressmiddleware.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestApplication](./rest.restapplication.md) &gt; [expressMiddleware](./rest.restapplication.expressmiddleware.md)

## RestApplication.expressMiddleware() method

Bind an Express middleware to this server context

**Signature:**

```typescript
expressMiddleware(key: BindingAddress, middleware: ExpressRequestHandler | ExpressRequestHandler[], options?: MiddlewareBindingOptions): Binding<Middleware>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

key


</td><td>

[BindingAddress](./context.bindingaddress.md)


</td><td>

Middleware binding key


</td></tr>
<tr><td>

middleware


</td><td>

ExpressRequestHandler \| ExpressRequestHandler\[\]


</td><td>

Express middleware handler function(s)


</td></tr>
<tr><td>

options


</td><td>

MiddlewareBindingOptions


</td><td>

_(Optional)_


</td></tr>
</tbody></table>
**Returns:**

[Binding](./context.binding.md)<!-- -->&lt;Middleware&gt;

## Example


```ts
import myExpressMiddlewareFactory from 'my-express-middleware';
const myExpressMiddlewareConfig= {};
const myExpressMiddleware = myExpressMiddlewareFactory(myExpressMiddlewareConfig);
server.expressMiddleware('middleware.express.my', myExpressMiddleware);
```


