---
lang: en
title: 'API docs: rest.restapplication.expressmiddleware_1'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restapplication.expressmiddleware_1.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestApplication](./rest.restapplication.md) &gt; [expressMiddleware](./rest.restapplication.expressmiddleware_1.md)

## RestApplication.expressMiddleware() method

Bind an Express middleware to this server context

**Signature:**

```typescript
expressMiddleware<CFG>(middlewareFactory: ExpressMiddlewareFactory<CFG>, middlewareConfig?: CFG, options?: MiddlewareBindingOptions): Binding<Middleware>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

middlewareFactory


</td><td>

ExpressMiddlewareFactory&lt;CFG&gt;


</td><td>

Middleware module name or factory function


</td></tr>
<tr><td>

middlewareConfig


</td><td>

CFG


</td><td>

_(Optional)_ Middleware config


</td></tr>
<tr><td>

options


</td><td>

MiddlewareBindingOptions


</td><td>

_(Optional)_ Options for registration


</td></tr>
</tbody></table>
**Returns:**

[Binding](./context.binding.md)<!-- -->&lt;Middleware&gt;

## Example


```ts
import myExpressMiddlewareFactory from 'my-express-middleware';
const myExpressMiddlewareConfig= {};
server.expressMiddleware(myExpressMiddlewareFactory, myExpressMiddlewareConfig);
```


