---
lang: en
title: 'API docs: rest.restapplication.middleware'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restapplication.middleware.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestApplication](./rest.restapplication.md) &gt; [middleware](./rest.restapplication.middleware.md)

## RestApplication.middleware() method

Register a middleware function or provider class

**Signature:**

```typescript
middleware(middleware: Middleware | Constructor<Provider<Middleware>>, options?: MiddlewareBindingOptions): Binding<Middleware>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

middleware


</td><td>

Middleware \| [Constructor](./context.constructor.md)<!-- -->&lt;[Provider](./context.provider.md)<!-- -->&lt;Middleware&gt;&gt;


</td><td>

Middleware function or provider class


</td></tr>
<tr><td>

options


</td><td>

MiddlewareBindingOptions


</td><td>

_(Optional)_ Middleware binding options


</td></tr>
</tbody></table>
**Returns:**

[Binding](./context.binding.md)<!-- -->&lt;Middleware&gt;

## Example


```ts
const log: Middleware = async (requestCtx, next) {
  // ...
}
server.middleware(log);
```


