---
lang: en
title: 'API docs: rest.restapplication.static'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restapplication.static.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestApplication](./rest.restapplication.md) &gt; [static](./rest.restapplication.static.md)

## RestApplication.static() method

Mount static assets to the REST server. See https://expressjs.com/en/4x/api.html\#express.static

**Signature:**

```typescript
static(path: PathParams, rootDir: string, options?: ServeStaticOptions): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

path


</td><td>

PathParams


</td><td>

The path(s) to serve the asset. See examples at https://expressjs.com/en/4x/api.html\#path-examples To avoid performance penalty, `/` is not allowed for now.


</td></tr>
<tr><td>

rootDir


</td><td>

string


</td><td>

The root directory from which to serve static assets


</td></tr>
<tr><td>

options


</td><td>

ServeStaticOptions


</td><td>

_(Optional)_ Options for serve-static


</td></tr>
</tbody></table>
**Returns:**

void


