---
lang: en
title: 'API docs: rest.restserver.oasenhancerservice'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restserver.oasenhancerservice.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestServer](./rest.restserver.md) &gt; [oasEnhancerService](./rest.restserver.oasenhancerservice.md)

## RestServer.oasEnhancerService property

Handle incoming HTTP(S) request by invoking the corresponding Controller method via the configured Sequence.

**Signature:**

```typescript
protected oasEnhancerService: OASEnhancerService;
```

## Example


```ts
const app = new Application();
app.component(RestComponent);
// setup controllers, etc.

const restServer = await app.getServer(RestServer);
const httpServer = http.createServer(restServer.requestHandler);
httpServer.listen(3000);
```


