---
lang: en
title: 'API docs: sequelize.sequelizecrudrepository.createhasmanyrepositoryfactoryfor'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizecrudrepository.createhasmanyrepositoryfactoryfor.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeCrudRepository](./sequelize.sequelizecrudrepository.md) &gt; [createHasManyRepositoryFactoryFor](./sequelize.sequelizecrudrepository.createhasmanyrepositoryfactoryfor.md)

## SequelizeCrudRepository.createHasManyRepositoryFactoryFor() method

Function to create a constrained relation repository factory

**Signature:**

```typescript
protected createHasManyRepositoryFactoryFor<Target extends Entity, TargetID, ForeignKeyType>(relationName: string, targetRepositoryGetter: Getter<EntityCrudRepository<Target, TargetID>>): HasManyRepositoryFactory<Target, ForeignKeyType>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

relationName


</td><td>

string


</td><td>

Name of the relation defined on the source model


</td></tr>
<tr><td>

targetRepositoryGetter


</td><td>

Getter&lt;EntityCrudRepository&lt;Target, TargetID&gt;&gt;


</td><td>


</td></tr>
</tbody></table>
**Returns:**

HasManyRepositoryFactory&lt;Target, ForeignKeyType&gt;

## Example


```ts
class CustomerRepository extends SequelizeCrudRepository<
  Customer,
  typeof Customer.prototype.id,
  CustomerRelations
> {
  public readonly orders: HasManyRepositoryFactory<Order, typeof Customer.prototype.id>;

  constructor(
    protected db: SequelizeDataSource,
    orderRepository: EntityCrudRepository<Order, typeof Order.prototype.id>,
  ) {
    super(Customer, db);
    this.orders = this.createHasManyRepositoryFactoryFor(
      'orders',
      orderRepository,
    );
  }
}
```


