---
lang: en
title: 'API docs: socketio'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md)

## socketio package

[@loopback/socketio](https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio)

## Classes

<table><thead><tr><th>

Class


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[DefaultSocketIoSequence](./socketio.defaultsocketiosequence.md)


</td><td>


</td></tr>
<tr><td>

[SocketIoApplication](./socketio.socketioapplication.md)


</td><td>


</td></tr>
<tr><td>

[SocketIoBooter](./socketio.socketiobooter.md)


</td><td>

A class that extends  to boot the  artifact type.


</td></tr>
<tr><td>

[SocketIoComponent](./socketio.socketiocomponent.md)


</td><td>


</td></tr>
<tr><td>

[SocketIoConnectionContext](./socketio.socketioconnectioncontext.md)


</td><td>

Request context for a socket.io request


</td></tr>
<tr><td>

[SocketIoControllerFactory](./socketio.socketiocontrollerfactory.md)


</td><td>

A factory to instantiate socket.io controllers


</td></tr>
<tr><td>

[SocketIoInvokeMethodProvider](./socketio.socketioinvokemethodprovider.md)


</td><td>


</td></tr>
<tr><td>

[SocketIoRejectProvider](./socketio.socketiorejectprovider.md)


</td><td>


</td></tr>
<tr><td>

[SocketIoSendProvider](./socketio.socketiosendprovider.md)


</td><td>


</td></tr>
<tr><td>

[SocketIoServer](./socketio.socketioserver.md)


</td><td>

A socketio server


</td></tr>
</tbody></table>

## Functions

<table><thead><tr><th>

Function


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[getNamespaceKeyForName(name)](./socketio.getnamespacekeyforname.md)


</td><td>


</td></tr>
<tr><td>

[getSocketIoMetadata(controllerClass)](./socketio.getsocketiometadata.md)


</td><td>


</td></tr>
<tr><td>

[socketio(spec)](./socketio.socketio.md)


</td><td>

Decorate a socketio controller class to specify the namespace.


</td></tr>
</tbody></table>

## Interfaces

<table><thead><tr><th>

Interface


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[HttpServerResolvedOptions](./socketio.httpserverresolvedoptions.md)


</td><td>

Valid configuration for the HttpServer constructor.


</td></tr>
<tr><td>

[SocketIoMetadata](./socketio.socketiometadata.md)


</td><td>

Metadata for SocketIo


</td></tr>
<tr><td>

[SocketIoSequence](./socketio.socketiosequence.md)


</td><td>


</td></tr>
<tr><td>

[SocketIoServerOptions](./socketio.socketioserveroptions.md)


</td><td>


</td></tr>
</tbody></table>

## Namespaces

<table><thead><tr><th>

Namespace


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[socketio](./socketio.socketio.md)


</td><td>


</td></tr>
<tr><td>

[SocketIoBindings](./socketio.socketiobindings.md)


</td><td>


</td></tr>
<tr><td>

[SocketIoTags](./socketio.socketiotags.md)


</td><td>


</td></tr>
</tbody></table>

## Variables

<table><thead><tr><th>

Variable


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[ERR\_NO\_MULTI\_SERVER](./socketio.err_no_multi_server.md)


</td><td>


</td></tr>
<tr><td>

[SOCKET\_IO\_CONNECT\_METADATA](./socketio.socket_io_connect_metadata.md)


</td><td>


</td></tr>
<tr><td>

[SOCKET\_IO\_METADATA](./socketio.socket_io_metadata.md)


</td><td>


</td></tr>
<tr><td>

[SOCKET\_IO\_SUBSCRIBE\_METADATA](./socketio.socket_io_subscribe_metadata.md)


</td><td>


</td></tr>
<tr><td>

[SocketIoControllerDefaults](./socketio.socketiocontrollerdefaults.md)


</td><td>

Default ArtifactOptions for SocketIoControllerBooter.


</td></tr>
<tr><td>

[socketIoControllers](./socketio.socketiocontrollers.md)


</td><td>

A binding filter to match socket.io controllers


</td></tr>
</tbody></table>

## Type Aliases

<table><thead><tr><th>

Type Alias


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[SocketIoDoneFunction](./socketio.socketiodonefunction.md)


</td><td>


</td></tr>
<tr><td>

[SocketIoInvokeMethod](./socketio.socketioinvokemethod.md)


</td><td>


</td></tr>
<tr><td>

[SocketIoOptions](./socketio.socketiooptions.md)


</td><td>


</td></tr>
<tr><td>

[SocketIoRejectMethod](./socketio.socketiorejectmethod.md)


</td><td>


</td></tr>
<tr><td>

[SocketIoSendMethod](./socketio.socketiosendmethod.md)


</td><td>


</td></tr>
<tr><td>

[SockIOMiddleware](./socketio.sockiomiddleware.md)


</td><td>


</td></tr>
</tbody></table>

