---
lang: en
title: 'API docs: testlab.skipontravis'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/testlab
permalink: /doc/en/lb4/apidocs.testlab.skipontravis.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/testlab](./testlab.md) &gt; [skipOnTravis](./testlab.skipontravis.md)

## skipOnTravis() function

Helper function for skipping tests on Travis CI.

**Signature:**

```typescript
export declare function skipOnTravis<ARGS extends unknown[], RETVAL>(verb: TestDefinition<ARGS, RETVAL> & {
    skip: TestDefinition<ARGS, RETVAL>;
}, name: string, ...args: ARGS): RETVAL;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

verb


</td><td>

[TestDefinition](./testlab.testdefinition.md)<!-- -->&lt;ARGS, RETVAL&gt; &amp; { skip: [TestDefinition](./testlab.testdefinition.md)<!-- -->&lt;ARGS, RETVAL&gt;; }


</td><td>

The function to invoke to define the test case or the test suite, e.g. `it` or `describe`<!-- -->.


</td></tr>
<tr><td>

name


</td><td>

string


</td><td>

The test name (the first argument of `verb` function).


</td></tr>
<tr><td>

args


</td><td>

ARGS


</td><td>

Additional arguments (framework specific), typically a function implementing the test.


</td></tr>
</tbody></table>
**Returns:**

RETVAL

## Example


```ts
skipOnTravis(it, 'does something when some condition', async () => {
  // the test
});
```


