---
lang: en
title: 'API docs: testlab.testsandbox.copyfile'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/testlab
permalink: /doc/en/lb4/apidocs.testlab.testsandbox.copyfile.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/testlab](./testlab.md) &gt; [TestSandbox](./testlab.testsandbox.md) &gt; [copyFile](./testlab.testsandbox.copyfile.md)

## TestSandbox.copyFile() method

Copies a file from src to the TestSandbox. If copying a `.js` file which has an accompanying `.js.map` file in the src file location, the dest file will have its sourceMappingURL updated to point to the original file as an absolute path so you don't need to copy the map file.

**Signature:**

```typescript
copyFile(src: string, dest?: string, transform?: (content: string) => string): Promise<void>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

src


</td><td>

string


</td><td>

Absolute path of file to be copied to the TestSandbox


</td></tr>
<tr><td>

dest


</td><td>

string


</td><td>

_(Optional)_ Optional. Destination filename of the copy operation (relative to TestSandbox). Original filename used if not specified.


</td></tr>
<tr><td>

transform


</td><td>

(content: string) =&gt; string


</td><td>

_(Optional)_ Optional. A function to transform the file content.


</td></tr>
</tbody></table>
**Returns:**

Promise&lt;void&gt;


