---
lang: en
title: 'Migrating CLI usage patterns'
keywords:
  LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI, LoopBack 3, Migration
sidebar: lb4_sidebar
permalink: /doc/en/lb4/migration-cli.html
---

{% include tip.html content="
Missing instructions for your LoopBack 3 use case? Please report a [Migration docs issue](https://github.com/loopbackio/loopback-next/issues/new?labels=question,Migration,Docs&template=Migration_docs.md) on GitHub to let us know.
" %}

The command line interfaces of
[LoopBack 3](https://loopback.io/doc/en/lb3/Command-line-tools.html) and
[LoopBack 4](../Command-line-interface.md) have some similarities, but also some
differences.

We will outline these similarities and differences below.

## Similar Commands

The following commands are similar in nature.

{% include_relative tables/lb3-lb4-command-mappings.html %}

## LoopBack 3 Commands with No Equivalent in LoopBack 4

Commands that are unique to LoopBack 3.

{% include_relative tables/lb3-only-commands.html %}

## LoopBack 4 Commands with No Equivalent in LoopBack 3

Commands that are unique to LoopBack 4.

{% include_relative tables/lb4-only-commands.html %}
